> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateCompany

> 
The `updateCompany` API is used to update the company's website information after onboarding.



## OpenAPI

````yaml put /companyOnboarding/updateCompany
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /companyOnboarding/updateCompany:
    put:
      tags: []
      summary: updateCompany
      description: >-

        The `updateCompany` API is used to update the company's website
        information after onboarding.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateCompany
                  example: updateCompany
                company:
                  type: object
                  properties:
                    companyId:
                      type: string
                      format: uuid
                    businessWebsite:
                      type: string
                      maxLength: 40
                  required:
                    - companyId
              required:
                - method
                - company
            example:
              method: updateCompany
              company:
                companyId: 33A04AFB-4317-464A-B1E0-BAB610086174
                businessWebsite: prism.com
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  company:
                    type: object
                    properties:
                      companyId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - companyId
                      - status
                required:
                  - company
              example:
                company:
                  companyId: 2ed03719-f013-4178-bbfe-4ad80916ca7b
                  status: Ready
                  message: The Company's data has been updated successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Website format is not valid
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````